complexType "ccapp:StratSimParams"

Namespace: | http://www.iro.umontreal.ca/lecuyer/contactcenters/app
Content: | complex, 16 attributes, 6 elements
Defined: | globally in ccapp.xsd, see XML source
Includes: | definitions of 7 attributes
Used: | at 1 location

XML Representation Summary
<...
| cpuTimeLimit | = | xsd:duration
| enableChrono | = | xsd:boolean : "true"
| estimateContactTypeAgentGroup | = | xsd:boolean : "false"
| keepObs | = | xsd:boolean : "false"
| maxReplications | = | xsd:int
| minReplications | = | xsd:int
| normalizeToDefaultUnit | = | xsd:boolean : "false"
| numPilotRunsPerStratum | = | xsd:int : "200"
| numStrata | = | xsd:int
| optimalAllocation | = | xsd:boolean : "false"
| perPeriodCollectingMode | = | ("PERIODOFENTRY" | "PERIODOFEXIT" | "PERIODOFBEGINSERVICEORENTRY" | "PERIODOFBEGINSERVICEOREXIT") : "PERIODOFENTRY"
| restrictToPrintedStat | = | xsd:boolean : "false"
| selectedColumn | = | xsd:int
| selectedPerformanceMeasure | = | xsd:string
| selectedRow | = | xsd:int
| stratificationVariable | = | xsd:string
| >
Content: | callTrace?, report?, randomStreams?, sequentialSampling*, controlVariable*, outReplications?
</...>

Content Elements (6):

  callTrace (type ccapp:CallTraceParams), controlVariable (type ccapp:ControlVariableParams), outReplications (type ssj:nonNegativeIntList), | randomStreams (type ccapp:RandomStreamsParams), report (type ccapp:ReportParams), sequentialSampling (type ccapp:SequentialSamplingParams)

All Direct / Indirect Based Elements (1):

  ccapp:stratSimParams

Known Usage Locations

- As direct type of elements (1):
  ccapp:stratSimParams

Annotation
Represents parameters specific to an experiment using independent replications and stratification.
Type Definition Detail

Type Derivation Tree ccapp:SimParams ccapp:RepSimParams (extension) ccapp:StratSimParams (extension)

XML Source (w/o annotations (5); see schema source)

<xsd:complexType name="StratSimParams"> <xsd:complexContent> <xsd:extension base="ccapp:RepSimParams"> <xsd:attribute name="numStrata" type="ssj:positiveInt" use="required"> </xsd:attribute> <xsd:attribute default="200" name="numPilotRunsPerStratum" type="ssj:positiveInt"> </xsd:attribute> <xsd:attribute name="selectedPerformanceMeasure" type="xsd:string"> </xsd:attribute> <xsd:attribute name="selectedRow" type="ssj:nonNegativeInt"/> <xsd:attribute name="selectedColumn" type="ssj:nonNegativeInt"/> <xsd:attribute name="stratificationVariable" type="xsd:string"/> <xsd:attribute default="false" name="optimalAllocation" type="xsd:boolean"> </xsd:attribute> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Attribute Detail (defined in this component only)
numPilotRunsPerStratum

  Determines the number of pilot runs simulated for each stratum for estimating the control variable constants and the standard deviations within strata. This (arbitrarily) defaults to 200 if unspecified.

  Type: | ssj:positiveInt
  Use: | optional
  Default: | "200"
  Defined: | locally, within (this) ccapp:StratSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="200" name="numPilotRunsPerStratum" type="ssj:positiveInt"> </xsd:attribute>

numStrata

  Determines the number of strata used for the simulation.

  Type: | ssj:positiveInt
  Use: | required
  Defined: | locally, within (this) ccapp:StratSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="numStrata" type="ssj:positiveInt" use="required"> </xsd:attribute>

optimalAllocation

  Determines if optimal allocation is used for stratification. Proportional allocation is used if this attribute is set to `false.`

  Type: | xsd:boolean
  Use: | optional
  Default: | "false"
  Defined: | locally, within (this) ccapp:StratSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="false" name="optimalAllocation" type="xsd:boolean"> </xsd:attribute>

selectedColumn

  Type: | ssj:nonNegativeInt
  Use: | optional
  Defined: | locally, within (this) ccapp:StratSimParams complexType

  XML Source (see schema source)

  <xsd:attribute name="selectedColumn" type="ssj:nonNegativeInt"/>

selectedPerformanceMeasure

  Determines the type of performance measure stratification minimizes the variance for. The attributes `selectedRow` and `selectedColumn` specify the exact row and column giving the performance measure. If no type of performance measure is specified, the simulator ignores the given row and column, and selects the measure that minimizes the highest variance among all performance measures.

  Type: | xsd:string
  Use: | optional
  Defined: | locally, within (this) ccapp:StratSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="selectedPerformanceMeasure" type="xsd:string"> </xsd:attribute>

selectedRow

  Type: | ssj:nonNegativeInt
  Use: | optional
  Defined: | locally, within (this) ccapp:StratSimParams complexType

  XML Source (see schema source)

  <xsd:attribute name="selectedRow" type="ssj:nonNegativeInt"/>

stratificationVariable

  Type: | xsd:string
  Use: | optional
  Defined: | locally, within (this) ccapp:StratSimParams complexType

  XML Source (see schema source)

  <xsd:attribute name="stratificationVariable" type="xsd:string"/>

XML Schema documentation generated with DocFlex/XML (Kit) v1.6.8 DocFlex/XML (Kit) is a freeware edition of DocFlex/XML, which is a powerful template-driven documentation and report generator from any data stored in XML files. Based on an innovative technology developed by FILIGRIS WORKS, this new tool offers virtuoso data querying and formatting capabilities not found in anything else! Need to convert your XML data into a clear nice-looking documentation or reports? Web-ready hypertext HTML or printable MS Word / OpenOffice.org friendly RTF? DocFlex/XML may be a cheap, quick and effective solution exactly for this task! Have questions? Not sure how to use it? Just send us e-mail to contact@filigris.com and we are always happy to help you! See also our services at www.filigris.com